[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[SCM] LibreOffice packaging repository branch, ubuntu-oneiric-3.4, updated. libreoffice_3.4.3-3-219-g54b3028



The following commit has been merged in the ubuntu-oneiric-3.4 branch:
commit fb4e030a9f51725dcc4ef33eb3a4656fb2c17451
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 26 17:07:28 2011 +0200

    added create-lo-update-patch.sh from natty 3.3

diff --git a/scripts/create-lo-update-patch.sh b/scripts/create-lo-update-patch.sh
new file mode 100755
index 0000000..cf31694
--- /dev/null
+++ b/scripts/create-lo-update-patch.sh
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+REPOBASE=`readlink -f $1`
+FROMTAG=$2
+TOTAG=$3
+
+TMPDIR=`mktemp -d`
+PATCHFILE=$TMPDIR/libreoffice/libreoffice-build/patches/hotfixes/update-from-$FROMTAG-to-$TOTAG.diff
+mkdir -p `dirname $PATCHFILE`
+
+echo "commits from $FROMTAG to $TOTAG" > $PATCHFILE
+for repo in \
+    artwork \
+    base \
+    binfilter \
+    bootstrap \
+    calc \
+    components \
+    extensions \
+    extras \
+    filters \
+    help \
+    impress \
+    libs-core \
+    libs-extern \
+    libs-extern-sys \
+    libs-gui \
+    postprocess \
+    sdk \
+    testing \
+    ure \
+    writer
+do
+    TAGPREFIX=
+    if [[ "$repo" == "binfilter" ]]
+    then
+        TAGPREFIX="${repo}_"
+    fi
+    if [[ -d $REPOBASE/$repo.git ]]
+    then
+        repodir=$REPOBASE/$repo.git
+    elif [[ -d $REPOBASE/$repo ]]
+    then
+        repodir=$REPOBASE/$repo
+    else
+        exit 1
+    fi
+    #echo "commits on repository $repo from $FROMTAG to $TOTAG"
+
+    git --git-dir=$repodir format-patch --stdout --subject-prefix="$repo" ${TAGPREFIX}${FROMTAG}..${TAGPREFIX}${TOTAG}
+done | sed \
+    -e 's|^--- a/|--- |' \
+    -e 's|^+++ b/|+++ |' \
+>> $PATCHFILE
+
+cd $TMPDIR && diff -u /dev/null libreoffice/libreoffice-build/patches/hotfixes/update-from-$FROMTAG-to-$TOTAG.diff
+rm -rf $TMPDIR

-- 
LibreOffice packaging repository


Reply to: